// Miraplacid Publisher 5 Examples. (C) 2004, Miraplacid.
//
// Miraplacid Publisher :: Automatic printing
//                      :: Multiple documents printing at the same time (JScript)
//
// Indeed, documents will be queued in the Publisher anyways.
//
word = WScript.CreateObject("Word.Application");
word.Visible=1;
word.Documents.Open("c:\\test.doc");
word.Documents("c:\\test.doc").Activate();

prn = WScript.CreateObject("Miraplacid.Publisher");

word.ActivePrinter=prn.PrinterName;

// Set up Miraplacid Publisher
prn("scalepercent")=0; // set size in pixels
prn("scalewidth")=1024; // scale to this width
prn("scaleheight")=768; // scale to this height
prn("scaleconstrain")=1; // preserve aspect ratio
prn("flipv")=1; // flip vertical on
prn("fliph")=1; // flip horizontal on
prn("gamma")=500; // flip horizontal on
prn.AutoSend=1; // Turn AutoSend ON

prn.Format="jpg";
prn.FormatParam("quality")=6; // 6=70%

prn.Transport="File";
prn.TransportParam("File","path")="c:\\doc_{{DATE}}";
prn.TransportParam("File","filename")="Page_{{PAGE}}";
prn.TransportParam("File","setfilename")=0;

// Print Word document:
word.ActiveDocument.PrintOut();

word.Documents.Open("c:\\test1.doc");
word.Documents("c:\\test1.doc").Activate();
word.ActiveDocument.PrintOut();

while (0 == (prn.JobStatus & 4)) {
	WScript.Echo("Waiting for Start 1... "+prn.JobStatus);
	WScript.Sleep(500);
}

while (0 != (prn.JobStatus&4)) {
	WScript.Echo("Waiting for End 1... "+prn.JobStatus);
	WScript.Sleep(500);
}

// Gap between jobs

while (0 == prn.JobStatus) {
	WScript.Echo("Waiting for Start 2... "+prn.JobStatus);
	WScript.Sleep(500);
}

while (0 != prn.JobStatus) {
	WScript.Echo("Waiting for End 2... "+prn.JobStatus);
	WScript.Sleep(500);
}
WScript.Echo("Done");

word.Documents("c:\\test.doc").Close();
word.Documents("c:\\test1.doc").Close();
word.Quit();

// Always stop Miraplacid Publisher when you are done with it.
prn.Stop();
